Перейти до вмісту
AstroWay/api v2.172.2 · docs
усі системи в нормі

RWS: All Cards

GET
/tarot/rider-waite/cards
request.sh
curl -X GET https://api.astroway.info/v1/tarot/rider-waite/cards \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"

Full 78-card RWS deck listing with upright/reversed meanings, keywords, astrology, and yes/no affinity.

Successful calculation

Media type application/json
object
ok
boolean
data
object
items
Array<object>
nullable
object
number
number
nullable
name
string
nullable
upright
object
keywords
Array<string>
nullable
meaning
string
nullable
reversed
object
keywords
Array<string>
nullable
meaning
string
nullable
astrology
string
nullable
numerology
number
nullable
yes
string
nullable
slug
string
nullable
category
string
nullable
count
number
nullable
Example
{
"ok": true,
"data": {
"items": [
{
"number": 0,
"name": "The Fool",
"upright": {
"keywords": [
"new beginnings"
],
"meaning": "A leap of faith into the unknown. Trust the journey, embrace beginner's mind."
},
"reversed": {
"keywords": [
"naivety"
],
"meaning": "Reckless leaps without grounding. Pause and consider before jumping."
},
"astrology": "Uranus",
"numerology": 0,
"yes": "maybe",
"slug": "the-fool",
"category": "major"
}
],
"count": 78
}
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?